package AST;


public class ASTAddExpression extends ASTBinaryExpression {
	
	private final boolean plus;
	
	public ASTAddExpression(ASTExpression left, ASTExpression right, boolean plus) {
		super(left, right);
		this.plus = plus;
	}

	public void accept(ASTVisitor visitor) {
		visitor.visitAddExpression(this);
	}

	public final boolean isPlus() {
		return plus;
	}
	
	@Override
	public String toString() {
		return getLeft().toString() + (plus ? "+" : "-") + getRight().toString();
	}
	
}
