package AST;


public class ASTCompareExpression extends ASTBinaryExpression {
	public static enum Type {
		LESS("<"),
		LESSEQUAL("<="),
		GREATER(">"),
		GREATEREQUAL(">="),
		EQUAL("=="),
		NOTEQUAL("!=");
		
		private String str;
		
		Type(String str) {
			this.str = str;
		}
		
		@Override
		public String toString() {
			return str;
		}
	}
	
	private Type type;

	public ASTCompareExpression(ASTExpression left, ASTExpression right, Type type) {
		super(left, right);
		this.type = type;
	}
	
	public void accept(ASTVisitor visitor) {
		visitor.visitCompareExpression(this);
	}
	
	public Type getCompareType() {
		return type;
	}

	@Override
	public String toString() {
		return getLeft().toString() + getCompareType() + getRight();
	}
	
}