package AST;


public class ASTReturnStatement extends ASTStatement {

	private final ASTExpression expression;
	
	public ASTReturnStatement() {
		this.expression = null;
	}
	
	public ASTReturnStatement(ASTExpression expr) {
		this.expression = expr;
	}
	
	public void accept(ASTVisitor visitor) {
		visitor.visitReturnStatement(this);
	}
	
	@Override
	public String toString() {
		return (expression == null ? "return" : "return " + expression);
	}
	
	public ASTExpression getExpression() {
		return expression;
	}

}
