package AST;


public class ASTWhileStatement extends ASTStatement implements ASTNode {

	private final ASTExpression condition;
	private final ASTStatement body;
	
	public ASTWhileStatement(ASTExpression condition, ASTStatement body) {
		this.condition = condition;
		this.body = body;
	}
	
	public final ASTExpression getCondition() {
		return condition;
	}

	public final ASTStatement getBody() {
		return body;
	}

	public void accept(ASTVisitor visitor) {
		visitor.visitWhileStatement(this);
	}
	
	@Override
	public String toString() {
		//return "while (" + condition + ") " + body;
		return "while (" + condition + ")";
	}

}
