package CFG;
import AST.ASTNode;
import AST.ASTVisitor;

/**
 * A node in the AST CFG (this extends ASTNode with unique ids)
 */
public class ASTCFGNode {
	public ASTCFGNode(ASTNode node, int id) {
		this.node = node;
		this.id = id;
	}
	
	public ASTCFGNode(String name, int id) {
		this.name = name;
		this.id = id;
	}
	
	/** return node id */
	public int getId() {
		return id;
	}

	/** convenience function, apply AST visitor to AST node */
	public void accept(ASTVisitor visitor) {
		if (node != null)
			node.accept(visitor);
	}
	
	public ASTNode getNode() {
		return node;
	}
	
	public String toString() {
		String result = Integer.toString(id) + ": ";
		if (name != null)
			result += name;
		else
			result += node.toString();
		return result;
	}
	
	private String name;
	private int id;
	private ASTNode node;
}
